﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WebServices.B1IFUserService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Name="ipostep_vP.001sap0003.in_WCSX_com.sap.b1i.vplatform.runtime_INB_WS_CALL_SYNC_XPT_" +
        "INB_WS_CALL_SYNC_XPT.ipo_proc", Namespace="urn:ipostep_vP.001sap0003.in_WCSX_com.sap.b1i.vplatform.runtime_INB_WS_CALL_SYNC_" +
        "XPT_INB_WS_CALL_SYNC_XPT.ipo_proc", ConfigurationName="B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL" +
        "_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc")]
    public interface ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc {
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetAllEmployee is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse ARGNSGetAllEmployee(WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse> ARGNSGetAllEmployeeAsync(WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetAllSalEmployee is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse ARGNSGetAllSalEmployee(WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse> ARGNSGetAllSalEmployeeAsync(WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetDistrbRuleList is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse ARGNSGetDistrbRuleList(WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse> ARGNSGetDistrbRuleListAsync(WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetEmployeeById is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse ARGNSGetEmployeeById(WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse> ARGNSGetEmployeeByIdAsync(WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetEmployeeList is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetEmployeeListResponse ARGNSGetEmployeeList(WebServices.B1IFUserService.ARGNSGetEmployeeListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeListResponse> ARGNSGetEmployeeListAsync(WebServices.B1IFUserService.ARGNSGetEmployeeListRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetUserById is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetUserByIdResponse ARGNSGetUserById(WebServices.B1IFUserService.ARGNSGetUserByIdRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserByIdResponse> ARGNSGetUserByIdAsync(WebServices.B1IFUserService.ARGNSGetUserByIdRequest request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetUserList1 is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetUserList1Response ARGNSGetUserList1(WebServices.B1IFUserService.ARGNSGetUserList1Request request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserList1Response> ARGNSGetUserList1Async(WebServices.B1IFUserService.ARGNSGetUserList1Request request);
        
        // CODEGEN: Generating message contract since the operation ARGNS.GetWarehouseList is neither RPC nor document wrapped.
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        WebServices.B1IFUserService.ARGNSGetWarehouseListResponse ARGNSGetWarehouseList(WebServices.B1IFUserService.ARGNSGetWarehouseListRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="", ReplyAction="*")]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetWarehouseListResponse> ARGNSGetWarehouseListAsync(WebServices.B1IFUserService.ARGNSGetWarehouseListRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetAllEmployeeType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetWarehouseListResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetWarehouseListResponseTypeRow[] getWarehouseListResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetWarehouseListResponseTypeRow[] GetWarehouseListResult {
            get {
                return this.getWarehouseListResultField;
            }
            set {
                this.getWarehouseListResultField = value;
                this.RaisePropertyChanged("GetWarehouseListResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetWarehouseListResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string whsCodeField;
        
        private string whsNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string WhsCode {
            get {
                return this.whsCodeField;
            }
            set {
                this.whsCodeField = value;
                this.RaisePropertyChanged("WhsCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string WhsName {
            get {
                return this.whsNameField;
            }
            set {
                this.whsNameField = value;
                this.RaisePropertyChanged("WhsName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetWarehouseListType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetUserList1ResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetUserList1ResponseTypeRow[] getUserList1ResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetUserList1ResponseTypeRow[] GetUserList1Result {
            get {
                return this.getUserList1ResultField;
            }
            set {
                this.getUserList1ResultField = value;
                this.RaisePropertyChanged("GetUserList1Result");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetUserList1ResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string uSERIDField;
        
        private string pASSWORDField;
        
        private string uSER_CODEField;
        
        private string u_NAMEField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string USERID {
            get {
                return this.uSERIDField;
            }
            set {
                this.uSERIDField = value;
                this.RaisePropertyChanged("USERID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string PASSWORD {
            get {
                return this.pASSWORDField;
            }
            set {
                this.pASSWORDField = value;
                this.RaisePropertyChanged("PASSWORD");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string USER_CODE {
            get {
                return this.uSER_CODEField;
            }
            set {
                this.uSER_CODEField = value;
                this.RaisePropertyChanged("USER_CODE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string U_NAME {
            get {
                return this.u_NAMEField;
            }
            set {
                this.u_NAMEField = value;
                this.RaisePropertyChanged("U_NAME");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetUserList1Type : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetUserByIdResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetUserByIdResponseTypeGetUserByIdResult getUserByIdResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetUserByIdResponseTypeGetUserByIdResult GetUserByIdResult {
            get {
                return this.getUserByIdResultField;
            }
            set {
                this.getUserByIdResultField = value;
                this.RaisePropertyChanged("GetUserByIdResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetUserByIdResponseTypeGetUserByIdResult : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetUserByIdResponseTypeGetUserByIdResultRow rowField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetUserByIdResponseTypeGetUserByIdResultRow row {
            get {
                return this.rowField;
            }
            set {
                this.rowField = value;
                this.RaisePropertyChanged("row");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetUserByIdResponseTypeGetUserByIdResultRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private short uSERIDField;
        
        private string pASSWORDField;
        
        private string uSER_CODEField;
        
        private string u_NAMEField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public short USERID {
            get {
                return this.uSERIDField;
            }
            set {
                this.uSERIDField = value;
                this.RaisePropertyChanged("USERID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string PASSWORD {
            get {
                return this.pASSWORDField;
            }
            set {
                this.pASSWORDField = value;
                this.RaisePropertyChanged("PASSWORD");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string USER_CODE {
            get {
                return this.uSER_CODEField;
            }
            set {
                this.uSER_CODEField = value;
                this.RaisePropertyChanged("USER_CODE");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string U_NAME {
            get {
                return this.u_NAMEField;
            }
            set {
                this.u_NAMEField = value;
                this.RaisePropertyChanged("U_NAME");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetUserByIdType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string userCodeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string UserCode {
            get {
                return this.userCodeField;
            }
            set {
                this.userCodeField = value;
                this.RaisePropertyChanged("UserCode");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetEmployeeListResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetEmployeeListResponseTypeRow[] getEmployeeListResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetEmployeeListResponseTypeRow[] GetEmployeeListResult {
            get {
                return this.getEmployeeListResultField;
            }
            set {
                this.getEmployeeListResultField = value;
                this.RaisePropertyChanged("GetEmployeeListResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetEmployeeListResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int empIDField;
        
        private bool empIDFieldSpecified;
        
        private string lastNameField;
        
        private string firstNameField;
        
        private System.Nullable<int> userIdField;
        
        private bool userIdFieldSpecified;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int empID {
            get {
                return this.empIDField;
            }
            set {
                this.empIDField = value;
                this.RaisePropertyChanged("empID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool empIDSpecified {
            get {
                return this.empIDFieldSpecified;
            }
            set {
                this.empIDFieldSpecified = value;
                this.RaisePropertyChanged("empIDSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string lastName {
            get {
                return this.lastNameField;
            }
            set {
                this.lastNameField = value;
                this.RaisePropertyChanged("lastName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string firstName {
            get {
                return this.firstNameField;
            }
            set {
                this.firstNameField = value;
                this.RaisePropertyChanged("firstName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<int> userId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("userId");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool userIdSpecified {
            get {
                return this.userIdFieldSpecified;
            }
            set {
                this.userIdFieldSpecified = value;
                this.RaisePropertyChanged("userIdSpecified");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetEmployeeListType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetEmployeeByIdResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetEmployeeByIdResponseTypeGetEmployeeByIdResult getEmployeeByIdResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetEmployeeByIdResponseTypeGetEmployeeByIdResult GetEmployeeByIdResult {
            get {
                return this.getEmployeeByIdResultField;
            }
            set {
                this.getEmployeeByIdResultField = value;
                this.RaisePropertyChanged("GetEmployeeByIdResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetEmployeeByIdResponseTypeGetEmployeeByIdResult : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetEmployeeByIdResponseTypeGetEmployeeByIdResultRow rowField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public GetEmployeeByIdResponseTypeGetEmployeeByIdResultRow row {
            get {
                return this.rowField;
            }
            set {
                this.rowField = value;
                this.RaisePropertyChanged("row");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetEmployeeByIdResponseTypeGetEmployeeByIdResultRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int empIDField;
        
        private string lastNameField;
        
        private string firstNameField;
        
        private System.Nullable<int> userIdField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int empID {
            get {
                return this.empIDField;
            }
            set {
                this.empIDField = value;
                this.RaisePropertyChanged("empID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string lastName {
            get {
                return this.lastNameField;
            }
            set {
                this.lastNameField = value;
                this.RaisePropertyChanged("lastName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string firstName {
            get {
                return this.firstNameField;
            }
            set {
                this.firstNameField = value;
                this.RaisePropertyChanged("firstName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(IsNullable=true, Order=3)]
        public System.Nullable<int> userId {
            get {
                return this.userIdField;
            }
            set {
                this.userIdField = value;
                this.RaisePropertyChanged("userId");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetEmployeeByIdType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string codeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string Code {
            get {
                return this.codeField;
            }
            set {
                this.codeField = value;
                this.RaisePropertyChanged("Code");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetDistrbRuleListResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetDistrbRuleListResponseTypeRow[] getDistrbRuleListResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetDistrbRuleListResponseTypeRow[] GetDistrbRuleListResult {
            get {
                return this.getDistrbRuleListResultField;
            }
            set {
                this.getDistrbRuleListResultField = value;
                this.RaisePropertyChanged("GetDistrbRuleListResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetDistrbRuleListResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string ocrCodeField;
        
        private string ocrNameField;
        
        private string lockedField;
        
        private string activeField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public string OcrCode {
            get {
                return this.ocrCodeField;
            }
            set {
                this.ocrCodeField = value;
                this.RaisePropertyChanged("OcrCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string OcrName {
            get {
                return this.ocrNameField;
            }
            set {
                this.ocrNameField = value;
                this.RaisePropertyChanged("OcrName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string Locked {
            get {
                return this.lockedField;
            }
            set {
                this.lockedField = value;
                this.RaisePropertyChanged("Locked");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=3)]
        public string Active {
            get {
                return this.activeField;
            }
            set {
                this.activeField = value;
                this.RaisePropertyChanged("Active");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetDistrbRuleListType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetAllSalEmployeeResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetAllSalEmployeeResponseTypeRow[] getAllSalEmployeeResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetAllSalEmployeeResponseTypeRow[] GetAllSalEmployeeResult {
            get {
                return this.getAllSalEmployeeResultField;
            }
            set {
                this.getAllSalEmployeeResultField = value;
                this.RaisePropertyChanged("GetAllSalEmployeeResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetAllSalEmployeeResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int slpCodeField;
        
        private bool slpCodeFieldSpecified;
        
        private string slpNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int SlpCode {
            get {
                return this.slpCodeField;
            }
            set {
                this.slpCodeField = value;
                this.RaisePropertyChanged("SlpCode");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool SlpCodeSpecified {
            get {
                return this.slpCodeFieldSpecified;
            }
            set {
                this.slpCodeFieldSpecified = value;
                this.RaisePropertyChanged("SlpCodeSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string SlpName {
            get {
                return this.slpNameField;
            }
            set {
                this.slpNameField = value;
                this.RaisePropertyChanged("SlpName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetAllSalEmployeeType : object, System.ComponentModel.INotifyPropertyChanged {
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://tempuri.org/")]
    public partial class GetAllEmployeeResponseType : object, System.ComponentModel.INotifyPropertyChanged {
        
        private GetAllEmployeeResponseTypeRow[] getAllEmployeeResultField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlArrayAttribute(Order=0)]
        [System.Xml.Serialization.XmlArrayItemAttribute("row", IsNullable=false)]
        public GetAllEmployeeResponseTypeRow[] GetAllEmployeeResult {
            get {
                return this.getAllEmployeeResultField;
            }
            set {
                this.getAllEmployeeResultField = value;
                this.RaisePropertyChanged("GetAllEmployeeResult");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true, Namespace="http://tempuri.org/")]
    public partial class GetAllEmployeeResponseTypeRow : object, System.ComponentModel.INotifyPropertyChanged {
        
        private int empIDField;
        
        private bool empIDFieldSpecified;
        
        private string lastNameField;
        
        private string firstNameField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=0)]
        public int empID {
            get {
                return this.empIDField;
            }
            set {
                this.empIDField = value;
                this.RaisePropertyChanged("empID");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlIgnoreAttribute()]
        public bool empIDSpecified {
            get {
                return this.empIDFieldSpecified;
            }
            set {
                this.empIDFieldSpecified = value;
                this.RaisePropertyChanged("empIDSpecified");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=1)]
        public string lastName {
            get {
                return this.lastNameField;
            }
            set {
                this.lastNameField = value;
                this.RaisePropertyChanged("lastName");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Order=2)]
        public string firstName {
            get {
                return this.firstNameField;
            }
            set {
                this.firstNameField = value;
                this.RaisePropertyChanged("firstName");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetAllEmployeeRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetAllEmployeeType GetAllEmployee;
        
        public ARGNSGetAllEmployeeRequest() {
        }
        
        public ARGNSGetAllEmployeeRequest(WebServices.B1IFUserService.GetAllEmployeeType GetAllEmployee) {
            this.GetAllEmployee = GetAllEmployee;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetAllEmployeeResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetAllEmployeeResponseType GetAllEmployeeResponse;
        
        public ARGNSGetAllEmployeeResponse() {
        }
        
        public ARGNSGetAllEmployeeResponse(WebServices.B1IFUserService.GetAllEmployeeResponseType GetAllEmployeeResponse) {
            this.GetAllEmployeeResponse = GetAllEmployeeResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetAllSalEmployeeRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetAllSalEmployeeType GetAllSalEmployee;
        
        public ARGNSGetAllSalEmployeeRequest() {
        }
        
        public ARGNSGetAllSalEmployeeRequest(WebServices.B1IFUserService.GetAllSalEmployeeType GetAllSalEmployee) {
            this.GetAllSalEmployee = GetAllSalEmployee;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetAllSalEmployeeResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetAllSalEmployeeResponseType GetAllSalEmployeeResponse;
        
        public ARGNSGetAllSalEmployeeResponse() {
        }
        
        public ARGNSGetAllSalEmployeeResponse(WebServices.B1IFUserService.GetAllSalEmployeeResponseType GetAllSalEmployeeResponse) {
            this.GetAllSalEmployeeResponse = GetAllSalEmployeeResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetDistrbRuleListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetDistrbRuleListType GetDistrbRuleList;
        
        public ARGNSGetDistrbRuleListRequest() {
        }
        
        public ARGNSGetDistrbRuleListRequest(WebServices.B1IFUserService.GetDistrbRuleListType GetDistrbRuleList) {
            this.GetDistrbRuleList = GetDistrbRuleList;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetDistrbRuleListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetDistrbRuleListResponseType GetDistrbRuleListResponse;
        
        public ARGNSGetDistrbRuleListResponse() {
        }
        
        public ARGNSGetDistrbRuleListResponse(WebServices.B1IFUserService.GetDistrbRuleListResponseType GetDistrbRuleListResponse) {
            this.GetDistrbRuleListResponse = GetDistrbRuleListResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetEmployeeByIdRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetEmployeeByIdType GetEmployeeById;
        
        public ARGNSGetEmployeeByIdRequest() {
        }
        
        public ARGNSGetEmployeeByIdRequest(WebServices.B1IFUserService.GetEmployeeByIdType GetEmployeeById) {
            this.GetEmployeeById = GetEmployeeById;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetEmployeeByIdResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetEmployeeByIdResponseType GetEmployeeByIdResponse;
        
        public ARGNSGetEmployeeByIdResponse() {
        }
        
        public ARGNSGetEmployeeByIdResponse(WebServices.B1IFUserService.GetEmployeeByIdResponseType GetEmployeeByIdResponse) {
            this.GetEmployeeByIdResponse = GetEmployeeByIdResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetEmployeeListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetEmployeeListType GetEmployeeList;
        
        public ARGNSGetEmployeeListRequest() {
        }
        
        public ARGNSGetEmployeeListRequest(WebServices.B1IFUserService.GetEmployeeListType GetEmployeeList) {
            this.GetEmployeeList = GetEmployeeList;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetEmployeeListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetEmployeeListResponseType GetEmployeeListResponse;
        
        public ARGNSGetEmployeeListResponse() {
        }
        
        public ARGNSGetEmployeeListResponse(WebServices.B1IFUserService.GetEmployeeListResponseType GetEmployeeListResponse) {
            this.GetEmployeeListResponse = GetEmployeeListResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetUserByIdRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetUserByIdType GetUserById;
        
        public ARGNSGetUserByIdRequest() {
        }
        
        public ARGNSGetUserByIdRequest(WebServices.B1IFUserService.GetUserByIdType GetUserById) {
            this.GetUserById = GetUserById;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetUserByIdResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetUserByIdResponseType GetUserByIdResponse;
        
        public ARGNSGetUserByIdResponse() {
        }
        
        public ARGNSGetUserByIdResponse(WebServices.B1IFUserService.GetUserByIdResponseType GetUserByIdResponse) {
            this.GetUserByIdResponse = GetUserByIdResponse;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetUserList1Request {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetUserList1Type GetUserList1;
        
        public ARGNSGetUserList1Request() {
        }
        
        public ARGNSGetUserList1Request(WebServices.B1IFUserService.GetUserList1Type GetUserList1) {
            this.GetUserList1 = GetUserList1;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetUserList1Response {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetUserList1ResponseType GetUserList1Response;
        
        public ARGNSGetUserList1Response() {
        }
        
        public ARGNSGetUserList1Response(WebServices.B1IFUserService.GetUserList1ResponseType GetUserList1Response) {
            this.GetUserList1Response = GetUserList1Response;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetWarehouseListRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetWarehouseListType GetWarehouseList;
        
        public ARGNSGetWarehouseListRequest() {
        }
        
        public ARGNSGetWarehouseListRequest(WebServices.B1IFUserService.GetWarehouseListType GetWarehouseList) {
            this.GetWarehouseList = GetWarehouseList;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(IsWrapped=false)]
    public partial class ARGNSGetWarehouseListResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://tempuri.org/", Order=0)]
        public WebServices.B1IFUserService.GetWarehouseListResponseType GetWarehouseListResponse;
        
        public ARGNSGetWarehouseListResponse() {
        }
        
        public ARGNSGetWarehouseListResponse(WebServices.B1IFUserService.GetWarehouseListResponseType GetWarehouseListResponse) {
            this.GetWarehouseListResponse = GetWarehouseListResponse;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procChannel : WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient : System.ServiceModel.ClientBase<WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc>, WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc {
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient() {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_procClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetAllEmployee(WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest request) {
            return base.Channel.ARGNSGetAllEmployee(request);
        }
        
        public WebServices.B1IFUserService.GetAllEmployeeResponseType ARGNSGetAllEmployee(WebServices.B1IFUserService.GetAllEmployeeType GetAllEmployee) {
            WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest inValue = new WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest();
            inValue.GetAllEmployee = GetAllEmployee;
            WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetAllEmployee(inValue);
            return retVal.GetAllEmployeeResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetAllEmployeeAsync(WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest request) {
            return base.Channel.ARGNSGetAllEmployeeAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllEmployeeResponse> ARGNSGetAllEmployeeAsync(WebServices.B1IFUserService.GetAllEmployeeType GetAllEmployee) {
            WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest inValue = new WebServices.B1IFUserService.ARGNSGetAllEmployeeRequest();
            inValue.GetAllEmployee = GetAllEmployee;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetAllEmployeeAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetAllSalEmployee(WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest request) {
            return base.Channel.ARGNSGetAllSalEmployee(request);
        }
        
        public WebServices.B1IFUserService.GetAllSalEmployeeResponseType ARGNSGetAllSalEmployee(WebServices.B1IFUserService.GetAllSalEmployeeType GetAllSalEmployee) {
            WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest inValue = new WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest();
            inValue.GetAllSalEmployee = GetAllSalEmployee;
            WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetAllSalEmployee(inValue);
            return retVal.GetAllSalEmployeeResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetAllSalEmployeeAsync(WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest request) {
            return base.Channel.ARGNSGetAllSalEmployeeAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetAllSalEmployeeResponse> ARGNSGetAllSalEmployeeAsync(WebServices.B1IFUserService.GetAllSalEmployeeType GetAllSalEmployee) {
            WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest inValue = new WebServices.B1IFUserService.ARGNSGetAllSalEmployeeRequest();
            inValue.GetAllSalEmployee = GetAllSalEmployee;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetAllSalEmployeeAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetDistrbRuleList(WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest request) {
            return base.Channel.ARGNSGetDistrbRuleList(request);
        }
        
        public WebServices.B1IFUserService.GetDistrbRuleListResponseType ARGNSGetDistrbRuleList(WebServices.B1IFUserService.GetDistrbRuleListType GetDistrbRuleList) {
            WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest inValue = new WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest();
            inValue.GetDistrbRuleList = GetDistrbRuleList;
            WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetDistrbRuleList(inValue);
            return retVal.GetDistrbRuleListResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetDistrbRuleListAsync(WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest request) {
            return base.Channel.ARGNSGetDistrbRuleListAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetDistrbRuleListResponse> ARGNSGetDistrbRuleListAsync(WebServices.B1IFUserService.GetDistrbRuleListType GetDistrbRuleList) {
            WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest inValue = new WebServices.B1IFUserService.ARGNSGetDistrbRuleListRequest();
            inValue.GetDistrbRuleList = GetDistrbRuleList;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetDistrbRuleListAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetEmployeeById(WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest request) {
            return base.Channel.ARGNSGetEmployeeById(request);
        }
        
        public WebServices.B1IFUserService.GetEmployeeByIdResponseType ARGNSGetEmployeeById(WebServices.B1IFUserService.GetEmployeeByIdType GetEmployeeById) {
            WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest inValue = new WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest();
            inValue.GetEmployeeById = GetEmployeeById;
            WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetEmployeeById(inValue);
            return retVal.GetEmployeeByIdResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetEmployeeByIdAsync(WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest request) {
            return base.Channel.ARGNSGetEmployeeByIdAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeByIdResponse> ARGNSGetEmployeeByIdAsync(WebServices.B1IFUserService.GetEmployeeByIdType GetEmployeeById) {
            WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest inValue = new WebServices.B1IFUserService.ARGNSGetEmployeeByIdRequest();
            inValue.GetEmployeeById = GetEmployeeById;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetEmployeeByIdAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetEmployeeListResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetEmployeeList(WebServices.B1IFUserService.ARGNSGetEmployeeListRequest request) {
            return base.Channel.ARGNSGetEmployeeList(request);
        }
        
        public WebServices.B1IFUserService.GetEmployeeListResponseType ARGNSGetEmployeeList(WebServices.B1IFUserService.GetEmployeeListType GetEmployeeList) {
            WebServices.B1IFUserService.ARGNSGetEmployeeListRequest inValue = new WebServices.B1IFUserService.ARGNSGetEmployeeListRequest();
            inValue.GetEmployeeList = GetEmployeeList;
            WebServices.B1IFUserService.ARGNSGetEmployeeListResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetEmployeeList(inValue);
            return retVal.GetEmployeeListResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeListResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetEmployeeListAsync(WebServices.B1IFUserService.ARGNSGetEmployeeListRequest request) {
            return base.Channel.ARGNSGetEmployeeListAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetEmployeeListResponse> ARGNSGetEmployeeListAsync(WebServices.B1IFUserService.GetEmployeeListType GetEmployeeList) {
            WebServices.B1IFUserService.ARGNSGetEmployeeListRequest inValue = new WebServices.B1IFUserService.ARGNSGetEmployeeListRequest();
            inValue.GetEmployeeList = GetEmployeeList;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetEmployeeListAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetUserByIdResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetUserById(WebServices.B1IFUserService.ARGNSGetUserByIdRequest request) {
            return base.Channel.ARGNSGetUserById(request);
        }
        
        public WebServices.B1IFUserService.GetUserByIdResponseType ARGNSGetUserById(WebServices.B1IFUserService.GetUserByIdType GetUserById) {
            WebServices.B1IFUserService.ARGNSGetUserByIdRequest inValue = new WebServices.B1IFUserService.ARGNSGetUserByIdRequest();
            inValue.GetUserById = GetUserById;
            WebServices.B1IFUserService.ARGNSGetUserByIdResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetUserById(inValue);
            return retVal.GetUserByIdResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserByIdResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetUserByIdAsync(WebServices.B1IFUserService.ARGNSGetUserByIdRequest request) {
            return base.Channel.ARGNSGetUserByIdAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserByIdResponse> ARGNSGetUserByIdAsync(WebServices.B1IFUserService.GetUserByIdType GetUserById) {
            WebServices.B1IFUserService.ARGNSGetUserByIdRequest inValue = new WebServices.B1IFUserService.ARGNSGetUserByIdRequest();
            inValue.GetUserById = GetUserById;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetUserByIdAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetUserList1Response WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetUserList1(WebServices.B1IFUserService.ARGNSGetUserList1Request request) {
            return base.Channel.ARGNSGetUserList1(request);
        }
        
        public WebServices.B1IFUserService.GetUserList1ResponseType ARGNSGetUserList1(WebServices.B1IFUserService.GetUserList1Type GetUserList1) {
            WebServices.B1IFUserService.ARGNSGetUserList1Request inValue = new WebServices.B1IFUserService.ARGNSGetUserList1Request();
            inValue.GetUserList1 = GetUserList1;
            WebServices.B1IFUserService.ARGNSGetUserList1Response retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetUserList1(inValue);
            return retVal.GetUserList1Response;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserList1Response> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetUserList1Async(WebServices.B1IFUserService.ARGNSGetUserList1Request request) {
            return base.Channel.ARGNSGetUserList1Async(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetUserList1Response> ARGNSGetUserList1Async(WebServices.B1IFUserService.GetUserList1Type GetUserList1) {
            WebServices.B1IFUserService.ARGNSGetUserList1Request inValue = new WebServices.B1IFUserService.ARGNSGetUserList1Request();
            inValue.GetUserList1 = GetUserList1;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetUserList1Async(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        WebServices.B1IFUserService.ARGNSGetWarehouseListResponse WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetWarehouseList(WebServices.B1IFUserService.ARGNSGetWarehouseListRequest request) {
            return base.Channel.ARGNSGetWarehouseList(request);
        }
        
        public WebServices.B1IFUserService.GetWarehouseListResponseType ARGNSGetWarehouseList(WebServices.B1IFUserService.GetWarehouseListType GetWarehouseList) {
            WebServices.B1IFUserService.ARGNSGetWarehouseListRequest inValue = new WebServices.B1IFUserService.ARGNSGetWarehouseListRequest();
            inValue.GetWarehouseList = GetWarehouseList;
            WebServices.B1IFUserService.ARGNSGetWarehouseListResponse retVal = ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetWarehouseList(inValue);
            return retVal.GetWarehouseListResponse;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetWarehouseListResponse> WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc.ARGNSGetWarehouseListAsync(WebServices.B1IFUserService.ARGNSGetWarehouseListRequest request) {
            return base.Channel.ARGNSGetWarehouseListAsync(request);
        }
        
        public System.Threading.Tasks.Task<WebServices.B1IFUserService.ARGNSGetWarehouseListResponse> ARGNSGetWarehouseListAsync(WebServices.B1IFUserService.GetWarehouseListType GetWarehouseList) {
            WebServices.B1IFUserService.ARGNSGetWarehouseListRequest inValue = new WebServices.B1IFUserService.ARGNSGetWarehouseListRequest();
            inValue.GetWarehouseList = GetWarehouseList;
            return ((WebServices.B1IFUserService.ipostep_vP001sap0003in_WCSX_comsapb1ivplatformruntime_INB_WS_CALL_SYNC_XPT_INB_WS_CALL_SYNC_XPTipo_proc)(this)).ARGNSGetWarehouseListAsync(inValue);
        }
    }
}
